Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 22167

Description

I'm getting:

Failed to create the output layer: non riesco a creare il layer (errore

OGR:Geometry type of `Unrecognised: 1003' not supported in shapefiles.

Type can be overridden with a layer creation option

of SHPT=POINT/ARC/POLYGON/MULTIPOINT/POINTZ/ARCZ/POLYGONZ/MULTIPOINTZ.

)

Note from Even Rouault:

Sounds like a PolygonZ (=1003) is passed to OGR as WKB encoded with ISO

SQL/MM to GDAL 1.11 or older. Only GDAL 2.0 will support that. GDAL 1.X

will only support old-style 99-402 extended dimension (Z) WKB, so

Polygon25D = 0x80000003

Thanks Even. In this case, the plugin would be essentially broken in all

systems with gdal<2 (as in Debian sid9), right?

Yes, it seems than any 3D geometry outputted by this plugin will not be GDAL 

1.X compatible. 2D geometries should be OK though.

Perhaps there's somewhere in QGIS code base a way of converting ISO WKB to 

old-style WKB ?

History

#1 - 2016-01-25 03:52 AM - Sandro Mani

The geometry checker plugin simply clones the layer using QgsVectorFileWriter before it starts processing it. So QgsVectorFileWriter needs to be adapted

to handle 3D geometries. The geometry checker plugin itself should not really care about whether a geometry is 2D or 3D.

#2 - 2016-01-25 03:53 AM - Paolo Cavallini

- Category changed from C++ plugins/Geometry Checker to Data Provider

#3 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No
#4 - 2018-03-05 09:28 AM - Paolo Cavallini

- Status changed from Open to Closed

- Description updated

- Resolution set to up/downstream

Now GHDAL 1 should be outdated in most if not all systems.
